javax.management.relation

## Class RelationTypeNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.relation.RelationException
        - - javax.management.relation.RelationTypeNotFoundException

All Implemented Interfaces:
  Serializable

    public class RelationTypeNotFoundException
    extends RelationException

This exception is raised when there is no relation type with given name in Relation Service.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RelationTypeNotFoundException()` Default constructor, no message put in exception.
`RelationTypeNotFoundException(String message)` Constructor with given message put in exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RelationTypeNotFoundException

    public RelationTypeNotFoundException()

Default constructor, no message put in exception.

#### RelationTypeNotFoundException

    public RelationTypeNotFoundException(String message)

Constructor with given message put in exception.

Parameters:
  `message` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.